modes.h File Reference

[[ Add one-line brief description here ]] More...

`#include "cvc4_public.h"`
`#include <iostream>`
Include dependency graph for modes.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | CVC4

## Enumerations

enum | CVC4::ModelFormatMode { CVC4::MODEL_FORMAT_MODE_DEFAULT , CVC4::MODEL_FORMAT_MODE_TABLE }
| Enumeration of model_format modes (how to print models from get-model command). More...
enum | CVC4::InstFormatMode { CVC4::INST_FORMAT_MODE_DEFAULT , CVC4::INST_FORMAT_MODE_SZS }
| Enumeration of inst_format modes (how to print models from get-model command). More...

## Functions

std::ostream & | CVC4::operator<< (std::ostream &out, ModelFormatMode mode)
std::ostream & | CVC4::operator<< (std::ostream &out, InstFormatMode mode)

## Detailed Description

[[ Add one-line brief description here ]]

    ** Original author: Andrew Reynolds
    ** Major contributors: Morgan Deters
    ** Minor contributors (to current version): none
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

[[ Add lengthier description here ]]

Todo
  document this file

Definition in file modes.h.